summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDennis Lamm <expeditioneer@gentoo.org>2016-02-15 00:24:45 +0100
committerDennis Lamm <expeditioneer@gentoo.org>2016-02-15 00:25:16 +0100
commit78865993cb66df5389c919fb1232d0d8498d9d30 (patch)
tree0cd6a1e8ca13840504f4ffc80c985216c248c6a0
parentmedia-libs/mesa: Remove old (diff)
downloadgentoo-78865993cb66df5389c919fb1232d0d8498d9d30.tar.gz
gentoo-78865993cb66df5389c919fb1232d0d8498d9d30.tar.bz2
gentoo-78865993cb66df5389c919fb1232d0d8498d9d30.zip
dev-libs/link grammar: added new ebuild for 5.3.3
Package-Manager: portage-2.2.26
-rw-r--r--dev-libs/link-grammar/Manifest1
-rw-r--r--dev-libs/link-grammar/link-grammar-5.3.3.ebuild60
-rw-r--r--dev-libs/link-grammar/metadata.xml7
3 files changed, 65 insertions, 3 deletions
diff --git a/dev-libs/link-grammar/Manifest b/dev-libs/link-grammar/Manifest
index 3066f8cdb81..288879dc93c 100644
--- a/dev-libs/link-grammar/Manifest
+++ b/dev-libs/link-grammar/Manifest
@@ -1 +1,2 @@
DIST link-grammar-4.8.6.tar.gz 2879287 SHA256 6a63bf84e487876bc15311844fdb4d482b2f9d01f3c1d52d45cc7ff6beacc893 SHA512 70e1a605b295f6f49e707c701a2fd1bb1905b7d34b950bbf9b3f6fa70c289f1d40c7791ba755b50cfeb847a5dc634239fd58c7933f716f378fce2bfda62b0535 WHIRLPOOL 75ed2446f4243e3623eecf9fcfb22146d48e0df260aea5fb77a7035f7eeab0ee9a214110dfd15be4858bf04a7a83b129066197e32949acfba6e726d4eddf8762
+DIST link-grammar-5.3.3.tar.gz 4093300 SHA256 99bdec507a84079cd1d26b0f94dbca0bab7c0888073fe68d682febaf67746a79 SHA512 da4c3ac4fb3e0baf2c3d4654aad91ae92d4759c4ea66fe01c9ca84107d171e542a42c4bd508e7cc6be293116c02528042e79b2aefa5a80b253f6ac792110f714 WHIRLPOOL 073319778e8876c0ea97ab8c68923f543b95c8fdf58ae4b0a42126fe589396414ad1f279c49903f2bb70f0a7fdfddb382f256e49b00036ec3795cfb62683652d
diff --git a/dev-libs/link-grammar/link-grammar-5.3.3.ebuild b/dev-libs/link-grammar/link-grammar-5.3.3.ebuild
new file mode 100644
index 00000000000..efec5be997c
--- /dev/null
+++ b/dev-libs/link-grammar/link-grammar-5.3.3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit eutils gnome2 java-pkg-opt-2 python-any-r1
+
+DESCRIPTION="A Syntactic English parser"
+HOMEPAGE="http://www.abisource.com/projects/link-grammar/ http://www.link.cs.cmu.edu/link/"
+SRC_URI="https://github.com/opencog/${PN}/archive/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="aspell +hunspell java python static-libs threads"
+
+DEPEND="
+ aspell? ( app-text/aspell )
+ hunspell? ( app-text/hunspell )
+ java? ( virtual/jdk:= dev-java/ant-core )
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+ if use aspell && use hunspell; then
+ ewarn "You have enabled 'aspell' and 'hunspell' support, but both cannot coexist,"
+ ewarn "only aspell will be build. Press Ctrl+C and set only 'hunspell' USE flag if"
+ ewarn "you want hunspell support."
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ S=${WORKDIR}/${PN}-${P}
+}
+
+src_prepare() {
+ java-pkg-opt-2_src_prepare
+ ./autogen.sh || die
+}
+
+src_configure() {
+ local myconf
+
+ use hunspell && myconf="${myconf} --with-hunspell-dictdir=/usr/share/myspell"
+ gnome2_src_configure \
+ --enable-shared \
+ $(use_enable aspell) \
+ $(use_enable hunspell) \
+ $(use_enable java java-bindings) \
+ $(use_enable python python-bindings) \
+ $(use_enable static-libs static) \
+ $(use_enable threads pthreads) \
+ ${myconf}
+}
diff --git a/dev-libs/link-grammar/metadata.xml b/dev-libs/link-grammar/metadata.xml
index 82e4c90bde0..d0d22785b36 100644
--- a/dev-libs/link-grammar/metadata.xml
+++ b/dev-libs/link-grammar/metadata.xml
@@ -6,9 +6,10 @@
<name>Gentoo GNOME Desktop</name>
</maintainer>
<longdescription lang="en">
- The Link Grammar Parser is a syntactic parser of English, based on link
- grammar, an original theory of English syntax. The system is written in
- generic C code, and runs on any platform with a C compiler.
+ The Link Grammar Parser is a syntactic parser of English, Russian, Arabic and Persian (and other languages as well),
+ based on Link Grammar, an original theory of syntax and morphology. Given a sentence, the system assigns to it a
+ syntactic structure, which consists of a set of labelled links connecting pairs of words. The parser also produces a "constituent"
+ (HPSG style phrase tree) representation of a sentence (showing noun phrases, verb phrases, etc.).
</longdescription>
<use>
<flag name="aspell">Adds support for <pkg>app-text/aspell</pkg> spell checker</flag>